AI resources
Capture order

Available only for terminals configured in PDV mode, this endpoint allows you to fully or partially capture a Mercado Pago Point order previously authorized in payment reservation mode, which is activated when creating an order POST /v1/orders in manual mode (processing_mode=manual). The two-step authorization and capture feature must be enabled for your account in advance by the Mercado Pago sales team. Contact your sales representative to request activation. For a full order capture, send an empty body and, for a partial capture, send the transactions.payments array with the payment ID and the amount to capture. In case of success, the request will return a response with status 200.

POST

https://api.mercadopago.com/v1/orders/{order_id}/capture
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
X-Idempotency-Key
string

REQUIRED

This feature allows you to safely retry requests without the risk of accidentally performing the same action more than once. This is useful for avoiding errors, such as capturing the same order twice. To ensure that each
Path
order_id
string

REQUIRED

Identifier of the order to be captured. This value is returned in the response to the order creation request made to the endpoint
Body
transactions
object

CONDITIONALLY REQUIRED

Sending this parameter and its attributes is required only for a partial capture, and multiple partial captures on the same order are not supported. For a full capture, send an empty body.
Response parameters
id
string
Identifier of the captured order.
status
string
Current status of the order after the capture.
processed: The order was successfully captured and processed.
status_detail
string
Details about the status of the order after the capture.
accredited: Payment accredited.
transactions
object
Contains information about the captured payment.
Errors

400Error.

empty_required_header

The X-Idempotency-Key header is required and was not sent. Make the request again including it.

bad_request

The order_id provided in the request path is not correct. Please verify and provide a valid ID to try again.

unsupported_properties

The request body contains unsupported properties. For full capture, send an empty body. For partial capture, only the transactions.payments.id and transactions.payments.amount properties are accepted.

401Invalid credentials.

unauthorized

The value sent as Access Token is incorrect. Please check and try again with the correct value.

404Order not found.

order_not_found

Order not found. Please check if you provided the correct order ID.

409Some specific system rule does not allow the action to be performed.

cannot_capture_order

The order cannot be captured. Only orders with status=action_required and status_detail=waiting_capture can be captured. Check the current order status before trying again.

idempotency_key_already_used

The value sent as the idempotency header (X-Idempotency-Key) has already been used with a different request within the last 24 hours. Please try the request again with a new value.

operation_not_supported

This operation is not supported for the order in its current state. Check the status and status_detail of the order.

422Unprocessable entity.

invalid_capture_amount

The capture amount is invalid. It must be greater than 0 and less than or equal to the authorized amount at order creation. Check the capture amount and try again.

capture_exceeds_authorized

The capture amount exceeds the authorized amount. The capture amount cannot be greater than the amount authorized at order creation. Adjust the amount and try again.

500Generic error.

idempotency_validation_failed

Idempotency validation failed. Please try submitting the request again.

500

Generic error. Please try submitting the request again.

Request
curl -X POST \
    'https://api.mercadopago.com/v1/orders/{order_id}/capture'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-4*********994754-12*********c73b4e1ac*********cef36b27c*********840' \
       -H 'X-Idempotency-Key: 9c541b06-8dbe-432e-9e4d-db62c1c27ccc' \
    -d '{
  "transactions": {
    "payments": [
      {
        "id": "PAY01ABCDEFGHIJKLMNOPQRSTUVWX",
        "amount": "35.00"
      }
    ]
  }
}'
Response
{
  "id": "ORD01ABCDEFGHIJKLMNOPQRSTUVWX",
  "status": "processed",
  "status_detail": "accredited",
  "transactions": {
    "payments": [
      {
        "id": "PAY01ABCDEFGHIJKLMNOPQRSTUVWX",
        "amount": "1500.00",
        "paid_amount": "35.00",
        "status": "processed",
        "status_detail": "accredited"
      }
    ]
  }
}